-- 基础信息
base_info = {
	group_id = 245014003
}

-- Trigger变量
defs = {
	group_id = 245014003,
	gear_group_id = 245014002
}

-- DEFS_MISCS
require "V2_6/TowerDefense_MonsterWaveConfig_V3.0"

route_map={
[1]={route_points={1,2,3,4,5,6,7,8,9,10},tags=2},
[2]={route_points={1,2,3,4,5,6,7,8,9,10},tags=4},

}

local entrance_point_map={
[1]=4,
[2]=5,
}

local entrance_map={
[2]=4,
[4]=5,
}

local exit_point_list={6}

-- 新的刷怪方案（在MonsterWaveConfig中配置）
local monsterTides = tides_level_02_sample

local superMonsters = {24010102, 24010302, 24010202,21020502}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 3001, pos = { x = 33.551, y = -7.693, z = -89.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3002, pos = { x = 35.017, y = -7.693, z = -89.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 36.422, y = -7.693, z = -89.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 38.019, y = -7.693, z = -89.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = 32.019, y = -7.693, z = -89.816 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3006, pos = { x = 33.567, y = -7.699, z = -88.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3007, pos = { x = 35.033, y = -7.699, z = -88.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3008, pos = { x = 36.438, y = -7.699, z = -88.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3009, pos = { x = 38.035, y = -7.699, z = -88.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3010, pos = { x = 32.035, y = -7.699, z = -88.062 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 2 },
	{ config_id = 3011, pos = { x = 3.814, y = -7.689, z = -59.983 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3012, pos = { x = 3.814, y = -7.689, z = -58.983 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3013, pos = { x = 3.814, y = -7.689, z = -57.983 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3014, pos = { x = 3.814, y = -7.689, z = -56.983 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3015, pos = { x = 3.814, y = -7.689, z = -55.983 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3016, pos = { x = 5.167, y = -7.689, z = -56.529 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3017, pos = { x = 5.167, y = -7.689, z = -57.529 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3018, pos = { x = 5.167, y = -7.689, z = -58.529 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 },
	{ config_id = 3019, pos = { x = 5.167, y = -7.689, z = -59.529 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 4 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_6/TowerDefense_Monster_V3.0"
